org.apache.xmlbeans.impl.xb.xsdschema

## Interface FieldDocument.Field.Xpath

All Superinterfaces:
  XmlAnySimpleType, XmlNormalizedString, XmlObject, XmlString, XmlToken, XmlTokenSource

All Known Implementing Classes:
  FieldDocumentImpl.FieldImpl.XpathImpl

Enclosing interface:
  FieldDocument.Field

    public static interface FieldDocument.Field.Xpath
    extends XmlToken

An XML xpath(@). This is an atomic type that is a restriction of org.apache.xmlbeans.impl.xb.xsdschema.FieldDocument$Field$Xpath.

### Field Summary

Fields
`static ElementFactory<FieldDocument.Field.Xpath>` `Factory`
`static SchemaType` `type`

### Fields inherited from interface org.apache.xmlbeans.XmlObject

`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

### Method Summary

### Methods inherited from interface org.apache.xmlbeans.XmlAnySimpleType

`getStringValue, setStringValue`

### Methods inherited from interface org.apache.xmlbeans.XmlObject

`changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

### Field Detail

#### Factory

    static final ElementFactory<FieldDocument.Field.Xpath> Factory

#### type

    static final SchemaType type